PHP Manual
Prev |  | Next

# pow

(PHP 3, PHP 4, PHP 5)

pow -- Exponential expression

## Description

number pow ( number base, number exp )

Returns `base` raised to the power of `exp`.

> Note: PHP cannot handle negative `exp`s.

Warning
In PHP 4.0.6 and earlier pow() always returned a float, and did not issue warnings.

## Parameters

`base`

  The base to use

`exp`

  The exponent

## Return Values

`base` raised to the power of `exp`. If the result can be represented as integer it will be returned as type integer, else it will be returned as type float. If the power cannot be computed `FALSE` will be returned instead.

## ChangeLog

Version | Description
--- | ---
Since 4.0.6 | The function will now return integer results if possible, before this it always returned a float result.
Since 4.2.0 | PHP stops to emit a warning if the value can't be computed, it will now silently return `FALSE` only.

## Examples

Example 1. Some examples of pow()

`<?php var_dump(pow(2, 8)); // int(256) echo pow(-1, 20); // 1 echo pow(0, 0); // 1 echo pow(-1, 5.5); // error ?>`

## See Also

exp()
sqrt()
bcpow()
gmp_pow()

Prev | Home | Next
pi | Up | rad2deg